## kpeoplevcard 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(KPeopleVCard)

find_package(ECM 1.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMSetupVersion)

include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddTests)

find_package(Qt5  "5.2" REQUIRED COMPONENTS Widgets)
find_package(KF5  "5.8" REQUIRED COMPONENTS CoreAddons I18n)
find_package(KF5 "5.62" REQUIRED COMPONENTS People)

find_package(KF5Contacts REQUIRED)

add_subdirectory(src)
add_subdirectory(autotests)

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5PeopleVCard")
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PeopleVCardConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleVCardConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleVCardConfig.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

=== autotests/CMakeLists.txt ===
find_package(Qt5Test)

ecm_add_test(kpeoplevcardtest.cpp ../src/kpeoplevcard.cpp TEST_NAME kpeoplevcardtest LINK_LIBRARIES KF5::PeopleBackend KF5::CoreAddons Qt5::Test KF5::Contacts KF5::I18n)

=== src/CMakeLists.txt ===
kcoreaddons_add_plugin(KPeopleVCard SOURCES kpeoplevcard.cpp JSON "kpeoplevcard.json" INSTALL_NAMESPACE "kpeople/datasource")
target_link_libraries(KPeopleVCard KF5::PeopleBackend KF5::CoreAddons KF5::Contacts KF5::I18n)

=== debian/changelog ===
kpeoplevcard (0.1-2) unstable; urgency=medium

  * Re-upload to unstable, as a source only upload.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 14 Nov 2020 09:24:48 +0100

kpeoplevcard (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #974163)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Nov 2020 23:14:13 +0100

=== debian/control ===
Source: kpeoplevcard
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.0~),
               gettext,
               libkf5contacts-dev,
               libkf5coreaddons-dev (>= 5.8.0~),
               libkf5i18n-dev (>= 5.8.0~),
               libkf5people-dev (>= 5.62.0~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.5.0
Section: libs
Homepage: https://community.kde.org/PIM
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpeoplevcard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpeoplevcard.git
Rules-Requires-Root: no

Package: kpeople-vcard
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: vCard plugin for the KPeople framework
 KPeople is the KDE framework offering unified access to your contacts from
 different sources, grouping them by person while still exposing all the data.
 .
 This plugin provides the backend to KDE Connect for manipulating the vCard
 format.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/([\d.]+)/@PACKAGE@-([\d.]+)\.tar\.xz

## kpeoplevcard 0.1+p24.04+vunstable+git20251013.0449

=== debian/changelog ===
kpeoplevcard (0.1+p24.04+vunstable+git20251013.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 04:49:42 +0000

kpeoplevcard (0.1-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Bump Standards-Version to 4.6.2, no change required.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 01 Jan 2023 13:00:24 +0100

## kpeoplevcard 0.1+p24.04+vunstable+git20251212.1002

=== debian/changelog ===
kpeoplevcard (0.1+p24.04+vunstable+git20251212.1002-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 10:02:46 +0000

=== debian/control ===
Source: kpeoplevcard
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.0~),
               gettext,
               libkf5contacts-dev,
               libkf5coreaddons-dev (>= 5.8.0~),
               libkf5i18n-dev (>= 5.8.0~),
               libkf5people-dev (>= 5.62.0~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 4.6.2
Section: libs
Homepage: https://community.kde.org/PIM
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/kpeoplevcard.git
Vcs-Browser: https://invent.kde.org/neon/kde/kpeoplevcard
Maintainer: Neon CI <neon@kde.org>

Package: kpeople-vcard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: vCard plugin for the KPeople framework
 KPeople is the KDE framework offering unified access to your contacts from
 different sources, grouping them by person while still exposing all the data.
 .
 This plugin provides the backend to KDE Connect for manipulating the vCard
 format.
